%define major   3.2

Name:           yum
Version:        3.2.10
Release:        %mkrel 1
Summary:        RPM installer/updater
License:        GPL
Group:          System/Configuration/Packaging
Source:         http://linux.duke.edu/projects/yum/download/%{major}/%{name}-%{version}.tar.gz
URL:            http://www.linux.duke.edu/projects/yum
Requires:       python-rpm
Requires:       python-libxml2
Requires:       python-urlgrabber
Requires:       python-celementtree
BuildRequires:  python-devel
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q

%build
%{make}

%install
rm -rf %{buildroot}
%{makeinstall_std}
# correct scripts
perl -pi -e 's|%{_libdir}/yum|%{_datadir}/yum|' %{buildroot}%{_bindir}/*
# remove init stuff
rm -f %{buildroot}%{_sysconfdir}/cron.*/yum.cron
rm -f %{buildroot}%{_sysconfdir}/init.d/%{name}
rm -f %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
rm -f %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
rm -Rf  %{buildroot}/%py_sitedir/urlgrabber/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL
%config(noreplace) %{_sysconfdir}/yum/
%py_sitedir/*
%{_datadir}/yum-cli/
%{_bindir}/*
%{_sbindir}/*
/var/cache/yum
%{_mandir}/man*/*
%{_sysconfdir}/rc.d/init.d/yum-updatesd
%attr(0644,root,root) %{_sysconfdir}/dbus-1/system.d/yum-updatesd.conf


%changelog
* Sun Mar 02 2008 Michael Scherer <misc@mandriva.org> 3.2.10-1mdv2008.1
+ Revision: 177636
- update to new version 3.2.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.2-3mdv2008.0
+ Revision: 90398
- rebuild

* Sat Aug 11 2007 David Walluck <walluck@mandriva.org> 3.2.2-2mdv2008.0
+ Revision: 62014
- make yum-updatesd.conf non-executable

* Sat Aug 11 2007 David Walluck <walluck@mandriva.org> 3.2.2-1mdv2008.0
+ Revision: 61688
- 3.2.2


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.1-1mdv2007.0
+ Revision: 90600
- Sync sources
- New release 3.0.1
- import yum-2.6.1-1mdk

* Sat May 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.6.1-1mdk
- New release 2.6.1

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-1mdk
- New release 2.6.0

* Mon Dec 05 2005 Michael Scherer <misc@mandriva.org> 2.4.0-2mdk
- requires python-celementtree ( fix bug #19895 )

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 2.4.0-1mdk
- New release 2.4.0

* Sat Sep 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-3mdk
- fix requires

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 2.2.2-2mdk
- remove bundled urlgrabber
- use python macro

* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.2-1mdk
- New release 2.2.2

* Sat Jun 04 2005 Gtz Waschk <waschk@mandriva.org> 2.2.1-3mdk
- obsolete python-urlgrabber

* Sun Apr 10 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-2mdk 
- fix URL (fix bug #14822)
- spec cleanup

* Sat Mar 19 2005 Michael Scherer <misc@mandrake.org> 2.2.1-1mdk
- new version

* Thu May 27 2004 Michael Scherer <misc@mandrake.org> 2.0.7-1mdk
- New release 2.0.7
- add a notice about the recompression

* Wed May 26 2004 Michael Scherer <misc@mandrake.org> 2.0.6-2mdk 
- add correct Requires
- remove warning in description

* Fri Apr 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.6-1mdk
- new version
- rpmbuildupdate aware

